body,
html,
#container {
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: 0;
    font-family: "微软雅黑";
}

.box {
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: 0;
    font-family: "微软雅黑";
    display: flex;
}

.info {
    z-index: 99;
    width: auto;
    /* min-width: 22rem; */
    padding: .75rem 1.25rem;
    margin-left: 0.625rem;
    position: fixed;
    top: 0.625rem;
    background-color: rgba(265, 265, 265, 0.9);
    border-radius: .25rem;
    font-size: 14px;
    color: #666;
    box-shadow: 0 2px 6px 0 rgba(27, 142, 236, 0.3);
}

#buttonbox {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.change-btn {
    height: 30px;
    width: 62px;
    margin-right: 10px;
    background: #e48db3;
    border: 0;
    cursor: pointer;
    border-radius: 2px;
    color: #fff;
    font-size: 14px;
}

.change-btn:first-child {
    margin-left: 0;
}

.active {
    background: #d21366;
}

/* 右边列表 */

.righyinfo {
    width: 300px;
    overflow-y: auto;
    z-index: 9999;
    background-color: #fff;
}

.stopInfo {
    font-size: 12px;
    background-color: #f8f8f8;
    padding: 12px;
    margin-bottom: 5px;
}

.topinfo {
    width: 100%;
    height: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
    padding: 0 0.625rem;
}

.icon {
    display: inline;
    height: 1.25rem;
    width: 1.25rem;
    cursor: pointer;
}

.closeicon {
    transform: rotate(180deg);
}


.gray {
    color: #999;
}

.placeholder {
    text-align: center;
    padding-top: 20px;
}

.mapBox {
    position: relative;
    width: 100%;
    height: 100%;
}

.coordinates {
    display: inline-block;
    width: 3.125rem;
    height: 3.125rem;
    position: absolute;
    z-index: 100;
    bottom: 10px;
    right: 10px;
    cursor: pointer;
}

.iconbox {
    position: absolute;
    z-index: 999;
    top: 0;
    right: 0;
    cursor: pointer;
    display: none;
    width: 2.5rem;
    height: 2.5rem;
}

.openicon {
    display: block;
    margin: 10px auto;
}

@keyframes openmation {
    0% {
        width: 0;
    }

    100% {
        width: 300px;
    }
}

.openanimated {
    animation: openmation 0.1s ease-in-out;
}

@keyframes closemation {
    0% {
        width: 300px;
    }

    100% {
        width: 0;
    }
}

.closeanimated {
    animation: closemation 0.1s ease-in-out;
}

.quantity {
    font-size: 0.875rem;
    font-weight: bold;
}


select {
    outline: none; /* 移除默认轮廓 */
    border: none; /* 移除边框 */
}


/* 选择门店地址 */
#mySelect, #group {
    width: 60px;
    height: 30px;
    border-radius: 2px;
}

/* 选择门店地址end */


/* 搜索框样式 */

#inputBox {
    display: flex;
    align-items: center;
    margin-top: 5px;
}

.baseboard {
    height: 30px;
    width: auto;
    position: relative;
}

#search {
    height: 30px;
    width: 55px;
    background: #d21366;
    border: 0;
    cursor: pointer;
    color: #fff;
    font-size: 14px;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

#zoom-input {
    box-sizing: border-box;
    height: 30px;
    width: 220px;
    border: solid 2px #c4c7ce;
    border: none;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
    padding: 0 10px;
}

#zoom-input:focus {
    outline: none;
    /* border: 2px  solid #d21366 ; */
    border-bottom: 2px solid #c4c7ce;
}

.searchBox {
    height: auto;
    width: auto;
    /* border: 2px  solid #d21366 ; */
    border-radius: 2px;
}

.searchData {
    max-height: 300px;
    background-color: rgba(265, 265, 265, 0.9);
    overflow-y: auto;
}

.shopList {
    margin-bottom: 5px;
    cursor: pointer;
    padding: 5px 10px;
}


/* 搜索框样式end */


/** 高德自定义点标记样式 */
.custom-content-marker {
    position: relative;
    width: 25px;
    height: 34px;
}

.custom-content-marker img {
    width: 100%;
    height: 100%;
}